extends MaskAbility

func mask_ready():
	super.mask_ready()
	if target_position.x < global_position.x:
		scale.x = -1

func _on_animation_player_animation_finished(_anim_name: StringName) -> void:
	queue_free()
